CUTLASS: cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor > Class Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor > Class Template Reference

Partial specialization for row-major shared memory.

`#include <fragment_iterator_wmma_tensor_op.h>`

## Public Types
using | WarpShape = WarpShape_
using | OperatorShape = OperatorShape_
using | OperatorElementC = OperatorElementC_
using | OperatorFragmentC = OperatorFragmentC_
using | Layout = layout::RowMajor
using | Policy = WmmaTensorOpPolicy< WarpShape, OperatorShape, Layout >
using | Fragment = WmmaFragmentArray< OperatorFragmentC, Policy::OperatorCount::kColumn >
| This is the fragment size produced by one access of the iterator. More...
using | AccumulatorTile = WmmaFragmentArray< OperatorFragmentC, Policy::OperatorCount::kCount >
| This is the complete warp-level accumulator tile. More...
using | OutputAccumulatorTile = AccumulatorTile

## Public Member Functions
CUTLASS_HOST_DEVICE | FragmentIteratorWmmaTensorOp (AccumulatorTile const &accum)
| Constructs an iterator. More...
CUTLASS_HOST_DEVICE FragmentIteratorWmmaTensorOp & | operator++ ()
| Increments. More...
CUTLASS_HOST_DEVICE FragmentIteratorWmmaTensorOp & | operator-- ()
| Decrements. More...
CUTLASS_HOST_DEVICE void | load (Fragment &frag, int index_offset=0) const
| Loads a fragment from the referenced part of the accumulator tile. More...

## Member Typedef Documentation

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::AccumulatorTile = WmmaFragmentArray<OperatorFragmentC, Policy::OperatorCount::kCount>

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::Fragment = WmmaFragmentArray<OperatorFragmentC, Policy::OperatorCount::kColumn>

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::Layout = layout::RowMajor

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::OperatorElementC = OperatorElementC_

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::OperatorFragmentC = OperatorFragmentC_

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::OperatorShape = OperatorShape_

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::OutputAccumulatorTile = AccumulatorTile

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::Policy = WmmaTensorOpPolicy<WarpShape, OperatorShape, Layout>

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

using cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::WarpShape = WarpShape_

## Constructor & Destructor Documentation

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

CUTLASS_HOST_DEVICE cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::FragmentIteratorWmmaTensorOp | ( | AccumulatorTile const & | accum | ) |
| inline

## Member Function Documentation

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

CUTLASS_HOST_DEVICE void cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::load | ( | Fragment & | frag,
|  | int | index_offset = `0`
| ) |  | const
| inline

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

CUTLASS_HOST_DEVICE FragmentIteratorWmmaTensorOp& cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::operator++ | ( |  | ) |
| inline

template<typename WarpShape_ , typename OperatorShape_ , typename OperatorElementC_ , typename OperatorFragmentC_ >

CUTLASS_HOST_DEVICE FragmentIteratorWmmaTensorOp& cutlass::epilogue::warp::FragmentIteratorWmmaTensorOp< WarpShape_, OperatorShape_, OperatorElementC_, OperatorFragmentC_, layout::RowMajor >::operator-- | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- fragment_iterator_wmma_tensor_op.h